[arch-commits] Commit in sound-juicer/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Oct 11 13:43:53 EDT 2008


    Date: Saturday, October 11, 2008 @ 13:43:52
  Author: jgc
Revision: 14927

upgpkg: sound-juicer 2.24.0-1

Modified:
  sound-juicer/trunk/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-11 17:37:30 UTC (rev 14926)
+++ PKGBUILD	2008-10-11 17:43:52 UTC (rev 14927)
@@ -3,31 +3,31 @@
 # Contributer: Ben <contrasutra at myrealbox.com>
 
 pkgname=sound-juicer
-pkgver=2.22.0
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="A cd ripper application"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('taglib>=1.4' 'libcdio>=0.79' 'musicbrainz>=2.1.5'
-	 'gnome-media>=2.22.0' 'gstreamer0.10-cdparanoia'
-	 'gstreamer0.10-gnomevfs' 'nautilus-cd-burner>=2.22.0')
-makedepends=('perlxml' 'gnome-doc-utils>=0.12.2' 'pkgconfig')
+depends=('taglib>=1.5' 'libcdio>=0.80' 'musicbrainz>=2.1.5'
+	 'gnome-media>=2.24.0' 'gstreamer0.10-base-plugins'
+	 'nautilus-cd-burner>=2.24.0')
+makedepends=('perlxml' 'gnome-doc-utils>=0.14.0' 'pkgconfig')
 options=(!emptydirs)
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
 groups=('gnome-extra')
 install=sound-juicer.install
 url="http://www.burtonini.com/blog/computers/sound-juicer"
-md5sums=('20f83a28915b7d7029198396258d1b4f')
+md5sums=('504979aadec8df1e59c1050bc968b2aa')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --enable-hal \
 	      --disable-scrollkeeper || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=$startdir/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
   
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list